# depthai sdk nix

[Depthai python sdk](https://docs.luxonis.com/projects/sdk/en/latest/) packaged for [Nix](https://nixos.org/).

Before running make sure you have the udev rules set up. Follow [this guide](https://docs.luxonis.com/en/latest/pages/troubleshooting/#udev-rules-on-linux) or just use the following snippet if using NixOS.

```nix
{
  services.udev.extraRules = ''
    SUBSYSTEM=="usb", ATTRS{idVendor}=="03e7", MODE="0666"
  '';
}
```

### Usage

To try the example:

```sh
nix run .#depthai-example
```

### Credits

[Based on the work here for building the C++ depthai-core](https://github.com/queezle42/depthai-nix)